SID(1)

NAME
sid - SID simulator driver

SYNOPSIS
sid OPTIONS [EXECUTABLE]

DESCRIPTION
Run an executable in a simulated hardware environment. Command line options allow details of the environment to be specified, such as CPU type(s), memory layout and monitor support.

OPTIONS

-h, --help
    Show usage

-v, --version
    Print simulator version

-n, --no-run
    Load/run simulation but do not run simulation

-f FILE
    Also read configuration FILE

-e LINE
    Also perform configuration LINE

--persistent
    Run top-level loop indefinitely

--save-temps=FILE
    Write configuration to FILE; use ``-'' for standard output

--wrap=COMPONENT
    Turn on SID API tracing for COMPONENT

--verbose
    Turn on run-time verbosity settings

--tksm
    Add an experimental Tk system monitor

--tksched
    Add a simple Tk sim-scheduler controller

--board=BOARD
    Instantiate built-in BOARD; remaining options apply to the most recently instantiated BOARD. BOARD may be any of:

    basic
        basic CPU and memory board

BOARD-SPECIFIC OPTIONS

--cpu=CPU
    Change board to use CPU

--load=EXECUTABLE
    Load EXECUTABLE into board's memory. Comma-separated sub-options are:

    bus=MAPPER
        Load file into bus MAPPER

    cpu=CPU
        Set pc of cpu CPU on load

    all-cpus
        Shortcut for using all CPUs

--gloss
    Add gloss (operating system) support.

--gdb=PORT
    Add a GDB stub on TCP port PORT.

--engine=(scache|pbb)
    Set board's engine type to scache or pbb.

--sidrtc=ADDR
    Add a real-time clock at address ADDR.

--sidcodec=ADDR
    Add an audio codec at address ADDR.

--insn-count=COUNT
    Set block of uninterrupted ticks for instructions.

--enable-warnings
    Enable CPU execution warnings.

--trace-extract
    Enable CPU instruction decoder tracing.

--trace-semantics
    Enable CPU execution tracing.

--trace-disassemble
    Enable CPU execute disassembly.

--trace-counter
    Enable CPU instruction counting.

--trace-core
    Enable bus access tracing.

--icache=TYPE
    Add an instruction cache hw-cache-TYPE to board.

--dcache=TYPE
    Add a data cache hw-cache-TYPE to board.
    eg., direct/64kb/32, 4way/256kb/64/lru

--EB, --EL
    Set power-up CPU mode to big/little endian.

--gprof=FILE[,cycles[=N]]
    Turn on GPROF profiling; collect after N ticks (default N=1) or every insn-count ticks, if cycles not specified.

--memory-region=BASE,SIZE
    Add RAM from region from BASE to BASE+SIZE-1. Comma-separated sub-options are:

    bus=MAPPER
        Attach memory to bus MAPPER.

    read-only
        Make memory read-only.

    alias=BASE2
        Add an alias at BASE2.

    file=NAME
        Load/save memory from file.

    mmap
        Memory map given file.

    latency=r:w
        Set read, write latencies [0:0]

    latency=value
        Set both read and write latencies [0]
Most board-specific options can be used in board-neutral position where they are interpreted as session-specific or default settings. All -b options are performed first, in sequence. All -f and -e options are performed after -b options, in sequence. FILE names supplied without -f are processed last, in sequence.

DIAGNOSTICS
Normally, exit status is 0 if the simulation terminates successfully. Command line or configuration errors result in a non-zero exit status with an error message displayed on standard error.

SEE ALSO
gdb(1).

REPORTING BUGS
Report bugs to <sid@sources.redhat.com>.

COPYING
Copyright © 2002 Red Hat, Inc.
This is free software; see the file COPYING.SID in the source for copying conditions.

AUTHORS
Red Hat, Inc.